Bug 184222 - random kdevelop crashes
random kdevelop crashes
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-07 09:33 EST by Erwin Rol
Modified: 2008-05-06 20:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:25:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erwin Rol 2006-03-07 09:33:04 EST
Description of problem:
Random crash after about a day of "normal" use. 

Version-Release number of selected component (if applicable):
kdevelop-3.3.1-1.2

How reproducible:
Prety much every 1 or 2 days, but not on "request"

Steps to Reproduce:
No real way to reproduce it on request, it seems like it happans after a workday
or two of use (while leaving the program run at night).
  
Actual results:
It seems to always crash with the following backtrace (or atleast it seems to
always be, i will double check with the next crash, that will come);

Using host libthread_db library "/lib64/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 47854969574480 (LWP 23549)]
[New Thread 1084229968 (LWP 23574)]
[KCrash handler]
#5  0x000000327d93b744 in QListViewItem::takeItem ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#6  0x000000327e1037e9 in KListViewItem::takeItem (this=0x45b51d0, 
    item=0x45284e0) at klistview.cpp:2211
#7  0x000000327d9486a2 in QListViewItem::~QListViewItem$base ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#8  0x00002b8621a0adee in ~FunctionDomBrowserItem (this=0x45284e0)
    at classviewwidget.h:109
#9  0x00002b8621a0108c in FolderBrowserItem::processFunction (this=0x45b51d0, 
    fun=@0x7fffffc8be40, remove=true) at classviewwidget.cpp:471
#10 0x00002b8621a0533f in FolderBrowserItem::processFile (this=0x45b51d0, 
    file=@0x7fffffc8c040, path=) at classviewwidget.cpp:324
#11 0x00002b8621a05b48 in ClassViewWidget::removeFile (this=0x23e4480, 
    fileName=) at classviewwidget.cpp:245
#12 0x00002b8621a065a4 in ClassViewWidget::qt_invoke (this=0x23e4480, 
    _id=116, _o=0x7fffffc8c180) at classviewwidget.moc:138
#13 0x000000327d85d009 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#14 0x000000327d85d639 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#15 0x000000327f2363a8 in KDevLanguageSupport::aboutToRemoveSourceInfo (
    this=0x23d9ab0, t0=) at kdevlanguagesupport.moc:140
#16 0x00002b862083148b in ?? ()
#17 0x00000000023d9b70 in ?? ()
#18 0x00000000023d9ab0 in ?? ()
#19 0x00000000023d9ab0 in ?? ()
#20 0x0000000003f171c0 in ?? ()
#21 0x00007fffffc8c300 in ?? ()
#22 0x00002b8620831613 in ?? ()
#23 0x0000000004276c30 in ?? ()
#24 0x0000000004527500 in ?? ()
#25 0x0000000004135ae0 in ?? ()
#26 0x00007fffffc8c280 in ?? ()
#27 0x00000000041abc40 in ?? ()
#28 0x00002b862084424d in ?? ()
#29 0x0000000000677990 in ?? ()
#30 0x00000000023d9b70 in ?? ()
#31 0x0000000000677990 in ?? ()
#32 0x000000327926f74d in *__GI___libc_malloc (bytes=140737484735232)
    at malloc.c:3374
#33 0x0000000004527500 in ?? ()
#34 0x00007fffffc8c300 in ?? ()
#35 0x0000000003f171c0 in ?? ()
#36 0x0000000003f171c0 in ?? ()
#37 0x0000000003f171c0 in ?? ()
#38 0x0000000003f171c0 in ?? ()
#39 0x00000000023d9ab0 in ?? ()
#40 0x00007fffffc8c300 in ?? ()
#41 0x00002b8620833c06 in ?? ()
#42 0x0000000004527500 in ?? ()
#43 0x000000327d85d9be in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#44 0x000000327d85c5a6 in QObject::event ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#45 0x000000327d7fc935 in QApplication::internalNotify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#46 0x000000327d7fde14 in QApplication::notify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#47 0x000000327cde1e78 in KApplication::notify (this=0x7fffffc8ca60, 
    receiver=0x23d9ab0, event=0x421b900) at kapplication.cpp:550
#48 0x000000327d7fd949 in QApplication::sendPostedEvents ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#49 0x000000327d7aba4a in QEventLoop::processEvents ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#50 0x000000327d8141e1 in QEventLoop::enterLoop ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#51 0x000000327d8140ba in QEventLoop::exec ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#52 0x000000000040736e in main (argc=) at main.cpp:145
#53 0x000000327921d084 in __libc_start_main (main=0x406ba0 <main>, argc=3, 
    ubp_av=0x7fffffc8cd08, init=) at libc-start.c:231
#54 0x0000000000406b09 in _start ()
#55 0x00007fffffc8ccf8 in ?? ()
#56 0x0000000000000000 in ?? ()
Current language:  auto; currently c
Comment 1 Bug Zapper 2008-04-03 13:05:45 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 20:25:42 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.